diff -Nur -x '*.orig' -x '*~' kerry-0.2.1/kerry/src/beaglesearch.cpp kerry-0.2.1.new/kerry/src/beaglesearch.cpp
--- kerry-0.2.1/kerry/src/beaglesearch.cpp	2006-12-04 14:35:38.000000000 +0100
+++ kerry-0.2.1.new/kerry/src/beaglesearch.cpp	2009-02-16 20:24:50.000000000 +0100
@@ -65,6 +65,7 @@
        { BeagleSearch::Conversations, "fixme:endtime", I18N_NOOP("End time: %1")"<br>" },
        { BeagleSearch::Conversations, "dc:title", 0 },
        { BeagleSearch::Conversations, "fixme:from", 0 },
+       { BeagleSearch::Conversations, "fixme:uri", 0 },
        { BeagleSearch::Conversations, "fixme:date", 0 },
        { BeagleSearch::Conversations, "fixme:folder", I18N_NOOP("Folder: %1")"&nbsp;" },
        { BeagleSearch::Conversations, "fixme:account", I18N_NOOP("(%1)")"<br>" },
diff -Nur -x '*.orig' -x '*~' kerry-0.2.1/kerry/src/searchdlg.cpp kerry-0.2.1.new/kerry/src/searchdlg.cpp
--- kerry-0.2.1/kerry/src/searchdlg.cpp	2009-02-16 20:24:09.000000000 +0100
+++ kerry-0.2.1.new/kerry/src/searchdlg.cpp	2009-02-16 20:25:55.000000000 +0100
@@ -772,6 +772,11 @@
         QStringList _properties(result->properties);
         QString subject = takeProperty("dc:title",_properties);
         QString from = takeProperty("fixme:from",_properties);
+        QString myuri = takeProperty("fixme:uri",_properties);
+
+        if (!myuri.isEmpty())
+                item->setUri(myuri);
+
         QString received = takeProperty("fixme:date",_properties);
 
         QDateTime received_datetime;
@@ -1269,7 +1274,7 @@
       {
         slotOpenEvolution(item->uri());
       }
-      else if (item->uri().startsWith("mailbox:/") && item->uri().find("thunderbird")>0)
+      else if (item->uri().startsWith("imap-message:/"))
       {
         slotOpenThunderbird(item->uri());
       }
@@ -1325,7 +1330,7 @@
 {
     KProcess *proc = new KProcess;
     *proc << "thunderbird";
-    *proc << "-mail";
+    *proc << "-viewbeagle";
     *proc << address;
     if (!proc->start()) {
       KMessageBox::error(0,i18n("Could not start Thunderbird."));
